{% import 'AppBundle:Macros:macros.html.twig' as this %}


{#{% if showHelp %}#}
    {#{% include 'AppBundle:Monetic:Payment:help.html.twig' %}#}
{#{% endif %}#}
<table id="files" class="table">
    <tr>
        <th style="text-align: right">Référence</th>
        <th>Date</th>
        <th>Membre</th>
        <th style="text-align: right">Montant</th>
        <th>Origine</th>
        <th>Type</th>
        <th>Mode</th>
        <th>Reçu</th>
    </tr>
    {% for payment in payments %}
        <tr>
            <td class="" style="text-align: right">
                {{ payment.reference }}
            </td>
            <td>
                {{ payment.date|date('d/m/Y H:i') }}
            </td>
            <td>
                {{ payment.payer }}
            </td>
            <td class="" style="text-align: right">
                {{ payment.amount }}
            </td>
            <td>
                {{ payment.origin }}
            </td>
            <td>
                {{ payment.type }}
            </td>
            <td>
                {{ payment.mode }}
            </td>
            <td>
                {% if payment.receipt %}
                    <a href="{{ payment.receipt }}" target="_blank">
                        Voir <i class="fa fa-external-link"></i>
                    </a>
                {% endif %}
            </td>
        </tr>
    {% else %}
        <tr>
            <td class="col-sm-12"> Aucun Paiement</td>
        </tr>
    {% endfor %}
</table>

{% if payments is defined and payments.nbResults is defined %}
    <div class="row text-center">
        <div class="pagerfanta">
            {{ pagerfanta(payments, 'twitter_bootstrap3_translated', {'pageParameter':'[paymentPage]'}) }}
        </div>
    </div>
{% endif %}

